> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Set monthly budget



## OpenAPI

````yaml put /api/v2/employees/{employeeId}/goodies/budget
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{employeeId}/goodies/budget:
    put:
      operationId: ApiV2EmployeeGoodiesController_setGoodiesBudget
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoodiesBudgetInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoodiesSettingsOutputDto'
      security:
        - bearer: []
components:
  schemas:
    GoodiesBudgetInputDto:
      type: object
      properties:
        budget:
          description: This budget restricts all budgets except for goodies and sports
          allOf:
            - $ref: '#/components/schemas/MonetaryAmountInputDto'
        startDate:
          format: date-time
          type: string
          description: |
            Make sure the date is UTC+0.

                    To have the planned monthly voucher created on 1st of January 2023, the input would be: 2023-01-01T00:00:00.000Z.

                    

                    This can be set up for any date present or in the future, not for a past date

                    Example:

                    Current Date 7th of March -> earliest startDate = 7th of March

                    Current Date 8th of March -> earliest startDate = 8th of March
        endDate:
          format: date-time
          type: string
          description: |
            Make sure the date is UTC+0.

                    To have the monthly voucher expire on the end of January 2023, the input would be: 2023-01-31T23:59:99.999Z\n
                    

                    This can be set up for any date in the future, not for a past or present date

                    Example:

                    Current Date 7th of March -> earliest endDate = 2023-03-08T23:59:99.999Z

                    Current Date 8th of March -> earliest endDate = 2023-03-09T23:59:99.999Z 
      required:
        - budget
        - startDate
    GoodiesSettingsOutputDto:
      type: object
      properties:
        id:
          type: string
          description: The unique primary key (UUID) of the entity.
        dateCreated:
          format: date-time
          type: string
        dateModified:
          format: date-time
          type: string
        dateDeleted:
          format: date-time
          type: string
          nullable: true
        employeeId:
          type: string
        amount:
          $ref: '#/components/schemas/MonetaryAmount'
        goodiesVoucherType:
          type: string
          enum:
            - GENERIC
            - SPECIAL
        interval:
          type: string
          enum:
            - ONCE
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        nextDate:
          format: date-time
          type: string
          nullable: true
        startDate:
          format: date-time
          type: string
        startDateYearMonth:
          type: string
          description: yyyy-MM
        endDate:
          format: date-time
          type: string
          nullable: true
        endDateYearMonth:
          type: string
          nullable: true
          description: yyyy-MM
      required:
        - id
        - dateCreated
        - dateModified
        - employeeId
        - amount
        - goodiesVoucherType
        - interval
        - nextDate
        - startDate
        - startDateYearMonth
    MonetaryAmountInputDto:
      type: object
      properties:
        value:
          type: number
        currency:
          type: string
          enum:
            - EUR_CENT
            - LEU_BANI
            - GBP_PENCE
            - CHF_CENTIMES
      required:
        - value
        - currency
    MonetaryAmount:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````